### Index

- getMultipleValuesInSingleSelectionError (src/.../selection-model.ts)
- GetTableHeaderButtonMetadata (src/.../decorators.ts)
- GetTableRowActionCheckFunction (src/.../table-row-action.method.ts)
- GetTableRowActionMetadata (src/.../table-row-action.method.ts)
- HasTableRowActionCheckFunction (src/.../table-row-action.method.ts)
- HasTableRowActionMetadata (src/.../table-row-action.method.ts)
- initGenerator (src/.../generator.ts)
- IsTableRowActionTypeMethod (src/.../table-row-action.method.ts)
- IsTableRowActionTypeSwitchMethod (src/.../table-row-action.method.ts)
- NormalizeTableRow (src/.../table-row-metadata.ts)
- NormalizeTableRow (src/.../table-row-metadata.ts)
- NormalizeTableRow (src/.../table-row-metadata.ts)
- TableActionMethod (src/.../decorators.ts)
- TableActionMethod (src/.../decorators.ts)
- TableActionMethod (src/.../decorators.ts)
- TableHeaderButtonMethod (src/.../decorators.ts)

### src/lib/select-row/selection-model.ts

###

getMultipleValuesInSingleSelectionError
`getMultipleValuesInSingleSelectionError()`
Returns an error that reports that multiple values are passed into a selection model with a single value.

### src/lib/table-header-button/decorators.ts

###

GetTableHeaderButtonMetadata
`GetTableHeaderButtonMetadata(method: Method)`

Parameters :

Name | Type | Optional
method | `Method` | No

Returns : `TableHeaderButtonMethodOptions`

TableHeaderButtonMethod
`TableHeaderButtonMethod(options: TableHeaderButtonMethodOptions)`

Parameters :

Name | Type | Optional | Default value
options | `TableHeaderButtonMethodOptions` | No | `{}`

Returns : `ClassDecorator`

### src/lib/table-row-actions/table-row-action.method.ts

###

GetTableRowActionCheckFunction
`GetTableRowActionCheckFunction(method: TableRowActionMethod)`

Parameters :

Name | Type | Optional
method | `TableRowActionMethod` | No

Returns : `RowActionCheckFunction<Data>`

GetTableRowActionMetadata
`GetTableRowActionMetadata(method: TableRowActionMethod)`

Parameters :

Name | Type | Optional
method | `TableRowActionMethod` | No

Returns : `TableActionMethodOptions`

HasTableRowActionCheckFunction
`HasTableRowActionCheckFunction(method: TableRowActionMethod)`

Parameters :

Name | Type | Optional
method | `TableRowActionMethod` | No

Returns : `boolean`

HasTableRowActionMetadata
`HasTableRowActionMetadata(method: TableRowActionMethod)`

Parameters :

Name | Type | Optional
method | `TableRowActionMethod` | No

Returns : `boolean`

IsTableRowActionTypeMethod
`IsTableRowActionTypeMethod(type: string)`

Parameters :

Name | Type | Optional
type | `string` | No

IsTableRowActionTypeSwitchMethod
`IsTableRowActionTypeSwitchMethod(method: TableRowActionMethod)`

Parameters :

Name | Type | Optional
method | `TableRowActionMethod` | No

Returns : `TableRowActionTypeSwitchMethod<Data>`

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/table-row-metadata.ts

###

NormalizeTableRow
`NormalizeTableRow(row: RawTableRow, rowId: string)`

Normalize the table row. Add the __rowId and metadata properties to the row.

CAUTION: This function mutate the row object

Parameters :

Name | Type | Optional
row | `RawTableRow` | No
rowId | `string` | No

Returns : `T`

T the normalized row

NormalizeTableRow
`NormalizeTableRow(row: RawTableRow, rowIdMapper: RowIdMapperFunction)`

Parameters :

Name | Type | Optional
row | `RawTableRow` | No
rowIdMapper | `RowIdMapperFunction` | No

Returns : `T`

NormalizeTableRow
`NormalizeTableRow(row: RawTableRow, rowIdOrMapper)`

Parameters :

Name | Type | Optional
row | `RawTableRow` | No
rowIdOrMapper |  | No

Returns : `T`

### src/lib/table-row-actions/decorators.ts

###

TableActionMethod
`TableActionMethod(options: TableActionMethodOptions)`

Parameters :

Name | Type | Optional
options | `TableActionMethodOptions` | No

Returns : `ClassDecorator`

TableActionMethod
`TableActionMethod(type: string, checkFunction?: RowActionCheckFunction)`

Parameters :

Name | Type | Optional
type | `string` | No
checkFunction | `RowActionCheckFunction` | Yes

Returns : `ClassDecorator`

TableActionMethod
`TableActionMethod(typeOrOptions, checkFunction?: RowActionCheckFunction)`

Parameters :

Name | Type | Optional
typeOrOptions |  | No
checkFunction | `RowActionCheckFunction` | Yes

Returns : `ClassDecorator`

# results matching ""

# No results matching ""